精华内容
下载资源
问答
  • Java异常练习

    2021-04-12 14:08:07
    练习 一、选择 1、下列代码中的异常属于(多选) A. 非检查型异常 B. 检查型异常 C. Error D. Exception 2、类及其子类所表示的异常是用户程序无法处理的 A. NumberFormatException B. Exception C. Error D. ...

    练习
    一、选择

    1、下列代码中的异常属于(多选)AD
    在这里插入图片描述
    A. 非检查型异常
    B. 检查型异常
    C. Error
    D. Exception

    2、类及其子类所表示的异常是用户程序无法处理的 C
    A. NumberFormatException
    B. Exception
    C. Error
    D. RuntimeException

    3、数组下标越界,则发生异常,提示为 D
    A. IOException
    B. ArithmeticException
    C. SQLException
    D. ArrayIndexOutOfBoundsException

    4、运行下列代码,当输入的num值为a时,系统会输出 B
    在这里插入图片描述
    A. one three end
    B. two three end
    C. one two three end
    D. two end

    5、运行下列代码,输出结果为 B
    在这里插入图片描述
    A. a = 0
    B. a = 0
    除数不允许为0
    C. a = 1
    数组越界
    D. a = 0
    除数不允许为0
    数组越界

    6、下列关于异常的描述,错误的是(多选)BD
    A. printStackTrace()用来跟踪异常事件发生时执行堆栈的内容
    B. catch块中可以出现同类型异常
    C. 一个try块可以包含多个catch块
    D. 捕获到异常后将输出所有catch语句块的内容

    7、假设要输入的id值为a101,name值为Tom,程序的执行结果为 C
    在这里插入图片描述
    A. id=a101
    name=Tom
    B. id=a101
    name=Tom
    输入结束
    C.【输入数据不合规范。Try again】
    D.【输入数据不合规范。Try again】
    输入结束
    java.util.InputMismatchException…

    8、下列代码的运行结果为 D
    在这里插入图片描述
    A. 1
    B. 10
    C. 20
    D. 30

    9、在下列代码划线处不可以填入选项中的哪一个异常类型 C
    在这里插入图片描述
    A. Throwable
    B. Exception
    C. InputMismatchException
    D. ArithmeticException

    10、假设有自定义异常类MyException,那么抛出该异常的语句正确的是 BD
    A. throw new Exception()
    B. throw new MyException()
    C. throw MyException
    D. throws Exception

    展开全文
  • java异常练习

    2020-04-28 11:12:47
    java异常选择 选择 下列代码中的异常属于(多选) A. 非检查型异常   B. 检查型异常  C. Error   D. Exception int a = 0; System.out.println(2/a); A D 类及其子类所表示的异常是用户程序无法处理的 A....

    java异常

    选择

    1. 下列代码中的异常属于(多选)
      A. 非检查型异常   B. 检查型异常  C. Error   D. Exception
    	int a = 0;
    	System.out.println(2/a);
    

    A D

    1. 类及其子类所表示的异常是用户程序无法处理的
      A. NumberFormatException   B. Exception   C. Error   D. RuntimeException

    C

    1. 数组下标越界,则发生异常,提示为
      A. IOException   B. ArithmeticException   C. SQLException   D. ArrayIndexOutOfBoundsException

    D

    1. 运行下列代码,当输入的num值为a时,系统会输出
      A. one three end   B. two three end   C. one two three end   D. two end
    public class Test {
    	public static void main(String[] args) {
    		Scanner input = new Scanner(System.in);
    		try {
    			int num = input.nextInt();
    			System.out.println("one");
    		} catch(Exception e) {
    			System.out.println("two");
    		} finally {
    			System.out.println("three");
    		}
    		System.out.println("end");
    	}	
    }
    

    B

    1. 运行下列代码,输出结果为
      A. a = 0   B. a = 0 除数不允许为0   C. a = 1 数组越界   D. a = 0 除数不允许为0 数组越界
    public class Test {
    	public static void main(String[] args) {
    		try {
    			int a = 1-1;
    			System.out.println("a=" + a);
    			int b = 4/a;
    			int c[] = {1};
    			c[10] = 99;
    		} catch(ArithmeticException e) {
    			System.out.println("除数不允许为0");
    		} catch(ArrayIndexOutOfBoundsException e) {
    			System.out.println("数组越界");
    		} 
    	}	
    }
    

    B

    1. 下列关于异常的描述,错误的是(多选)
      A. printStackTrace()用来跟踪异常事件发生时执行堆栈的内容
      B. catch块中可以出现同类型异常
      C. 一个try块可以包含多个catch块
      D. 捕获到异常后将输出所有catch语句块的内容

    B D

    1. 假设要输入的id值为a101,name值为Tom,程序的执行结果为
      A. id=a101 name=Tom
      B. id=a101 name=Tom 输入结束
      C.【输入数据不合规范。Try again】
      D.【输入数据不合规范。Try again】 输入结束 java.util.InputMismatchException…
    public class Test {
    	public static void main(String[] args) {
    		Scanner input = new Scanner(System.in);
    		try {
    			int id = input.nextInt();
    			String name = input.next();
    			System.out.println("id=" + id + "\n" + "name=" + name);
    		} catch(InputMismatchException ex) {
    			System.out.println("【输入数据不合规范。Try again.】");
    			System.exit(1);
    			ex.printStackTrace();
    		} finally {
    			System.out.println("输入结束");
    		} 
    	}	
    }
    

    C

    1. 下列代码的运行结果为
      A. 1   B. 10   C. 20   D. 30
    public class Test {
    	public static int test(int b) {
    		try {
    			b += 10;
    			
    		} catch(Exception e) {
    			return 1;
    		} finally {
    			b += 10;
    			return b;
    		}
    	}
    	public static void main(String[] args) {
    		int num = 10;
    		System.out.println(test(num));
    	}	
    	//test()方法
    }
    

    D

    1. 在下列代码划线处不可以填入选项中的哪一个异常类型
      A. Throwable   B. Exception   C. InputMismatchException   D. ArithmeticException
    	//test()方法
    	public static int test(int a, int b) throws ____{
    		if(b == 0) {
    			throw new ArithmeticException("算数异常");
    		} else {
    			return (a/b);
    		}
    	}
    

    C

    1. 假设有自定义异常类MyException,那么抛出该异常的语句正确的是
      A. throw new Exception()
      B. throw new MyException()
      C. throw MyException
      D. throws Exception

    B

    展开全文
  • Java异常 练习

    2020-07-29 20:32:53
    1、下列代码中的异常属于(多选) AD 2、类及其子类所表示的异常是用户程序无法处理的 C 3、数组下标越界,则发生异常,提示为 D 4、运行下列代码,当输入的num值为a时,系统会输出 B 5、运行下列代码,输出结果...

    选择

    1、下列代码中的异常属于(多选) AD
    在这里插入图片描述
    2、类及其子类所表示的异常是用户程序无法处理的 C
    在这里插入图片描述
    3、数组下标越界,则发生异常,提示为 D
    在这里插入图片描述
    4、运行下列代码,当输入的num值为a时,系统会输出 B
    在这里插入图片描述
    5、运行下列代码,输出结果为 B
    在这里插入图片描述
    6、下列关于异常的描述,错误的是(多选) BD
    在这里插入图片描述
    7、假设要输入的id值为a101,name值为Tom,程序的执行结果为 C
    在这里插入图片描述
    8、下列代码的运行结果为 D
    在这里插入图片描述
    9、在下列代码划线处不可以填入选项中的哪一个异常类型 C
    在这里插入图片描述
    10、假设有自定义异常类MyException,那么抛出该异常的语句正确的是 B
    在这里插入图片描述

    展开全文
  • Java 异常练习

    2019-07-22 17:28:00
    1、创建一个Exception的子类,用于抛出异常 2、创建一个方法类用于判定用户输入和根据用户输入进行输出 3、创建测试类,在测试类里面写try--catch--finally,finally里面放最终要输出的“提出建议”语句 |--...

    |--需求说明

     

     

     

    |--实现思路

    1、创建一个Exception的子类,用于抛出异常

    2、创建一个方法类用于判定用户输入和根据用户输入进行输出

    3、创建测试类,在测试类里面写try--catch--finally,finally里面放最终要输出的“提出建议”语句

     

    |--代码内容

    1 public class NumException extends Exception{
    2     //创建Exception的子类,NumException 用于作为该作业的异常类型
    3     public NumException(String message) {
    4         super(message);
    5         System.err.println("数据输入错误");
    6     }
    7 }
    创建新的Exception子类--用于抛出异常
     1 public class Work1Test {
     2     static Scanner sc = new Scanner(System.in);
     3     public static void main(String[] args) {
     4         Work1 work1 = new Work1();
     5         System.out.println("请输入1-3,查看对应课程");
     6         try {
     7             System.out.println(work1.choose(sc.nextInt()));
     8         } catch (Exception e) {
     9             System.err.println(e.getMessage());
    10         }finally {
    11             System.out.println("欢迎提出建议");
    12         }
    13     }
    14 }
    测试代码
     1 public class Work1 {
     2     public String choose(int num) throws NumException {
     3         String keCheng = "";
     4         if (num < 1 || num > 3) {
     5             throw new NumException("输入非法,你不用来上课了");
     6         }
     7         switch (num) {
     8             case 1:
     9                 keCheng = "Java 课";
    10                 break;
    11             case 2:
    12                 keCheng = "音乐课";
    13                 break;
    14             case 3:
    15                 keCheng = "C#课";
    16                 break;
    17         }
    18         return keCheng;
    19     }
    20 }
    创建一个类,类里面写一个方法,用于对用户输入的信息进行判断

     

    |--运行结果

     

     

     





    转载于:https://www.cnblogs.com/twuxian/p/11227203.html

    展开全文
  • 1. Java异常练习

    2020-12-10 12:01:33
    1. Java异常练习 一、选择 AD 下列代码中的异常属于(多选) A. 非检查型异常 B. 检查型异常 C. Error D. Exception C 类及其子类所表示的异常是用户程序无法处理的 A. NumberFormatException B. Exception ...
  • 2020-7-29 Java 异常 练习

    2020-07-29 17:28:14
    2020-7-29 Java 异常 练习 一、选择 下列代码中的异常属于(多选) (AD) A. 非检查型异常 B. 检查型异常 C. Error D. Exception 类及其子类所表示的异常是用户程序无法处理的 (B) A. NumberFormatException B....
  • java异常练习:如果键盘输入的数不是自然数,抛出异常 自定义异常,抛出异常 import java.util.InputMismatchException; import java.util.Scanner; /** @author zzastart @create 2021-06-01 15:37 编写一个...
  • java 异常练习 自定义异常

    千次阅读 2018-08-02 19:49:10
    自定义异常一般要继承Exception和RuntimeException 以及它们的子类,通过自定义异常更能细化异常的问题,帮助jvm和程序员更好的理解和分析代码 创建自定义异常类 public class IllegleAgeException extends ...
  • 20200729Java异常练习

    2020-07-29 15:25:13
    1.下列代码中的异常属于(多选) AD A. 非检查型异常 B. 检查型异常 C. Error D. Exception 2.类及其子类所表示的异常是用户程序无法处理的 C A. NumberFormatException B. Exception C. Error D. RuntimeException...
  • Java 异常练习2

    2019-07-22 17:51:00
    1、创建一个Exception的子类,用于抛出异常 2、创建一个类,用来搜集用户搜集的age数据并进行判定 3、创建一个测试类,里面写try--catch语句 |--代码内容 1 public class NumException extends Exception{...
  • java异常练习

    千次阅读 2018-09-10 23:05:49
    ------异常已经捕捉到,后面就不能接任何语句 } catch(Exception e) { System.out.println("B"); } } public static void main(String[] args) { try { func(); } catch(Exception e) { System.out....
  • java 异常练习

    2016-05-27 22:31:00
    要求用户输入数字,捕获并处理用户输入错误的异常 package com.hanqi.ec; import java.util.Scanner; public class Test2 { public static void main(String[] args) { // TODO 自动生成的方法存根 ...
  • java异常练习2

    2016-07-05 21:40:00
    /*有一个圆形和长方形都可以获取面积,对于面积,如果出现非法数值,视为获取面积出现问题问题通过异常来表示。先要对这个程序进行基本的设置*//*首先想一下,怎么写这个程序基本属性是肯定要的求面积呢?1.可以定义...
  • java 异常练习题2

    2016-05-28 19:19:00
    建立exception包,编写TestException.java程序,主方法中有以下代码,确定其中可能出现的异常,进行捕获处理。 package exception; public class TestException { public static void main(String[] args) ...
  • java 异常练习题1

    2016-05-28 19:03:00
    抛出NagativeFundsException,如new Bank(100),表示存入银行100元,当用方法withdrawal(150),withdrawal(-15)时会抛出自定义异常。 package exception; public class Bank { double balance; public ...

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 1,252
精华内容 500
关键字:

java异常练习

java 订阅